<? session_start();date_default_timezone_set('America/Mexico_City');?>
<?php

require_once("../../comun/conexion3.php");

require_once("../../comun/actions.php");

require_once("../../comun/funciones.php");

$action = new actions();

$operacion	= $_POST['operacion_contacto'];
//$action->alert($operacion);
$idalias = $_POST['idaliasA'];
$idcontacto = $_POST['idcontactoA'];
//$action->alert($idcontacto);
//$action->alert($idalias);
$contacto = strtoupper($_POST['contacto']);

$puesto = strtoupper($_POST['puesto']);
//$action->alert($puesto);
$telefono_contacto = $_POST['telefono_contacto'];
$email_contacto = $_POST['email_contacto'];

$mailing_tarifarios = ($_POST['mailing_tarifarios']=='1' ? 1:0);
$mailing_itinerarios = ($_POST['mailing_itinerarios']=='1' ? 1:0);
$visible_en_comercial = ($_POST['area'][0]=='1' ? 1:0); 
$visible_en_impo = ($_POST['area'][2]=='1' ? 1:0); 
$visible_en_expo = ($_POST['area'][1]=='1' ? 1:0); 
//$action->alert($visible_en_comercial);
$usuarioAlta = 0;
$fechaAlta='0000-00-00 00:00:00';
$usuarioEdicion = 0;
$fechaEdicion='0000-00-00 00:00:00';
	
if($operacion=='ALTA') {
	$usuarioAlta = $_POST['idusuarioA'];
	$fechaAlta=date("Y-m-d H:i:s");
}else{
	$usuarioEdito = $_POST['idusuarioA'];
	$fechaEdito=date("Y-m-d H:i:s");
}
//$action->alert($usuarioAlta);
//$action->alert($usuarioEdito);

if($operacion=='BAJA') {
	mysqli_query("insert into quien_borro (idusuario,idEntidad,fecha,descripcion)
	values ('$idusuario','$idcontacto','".date("Y-m-d H:i:s")."','contacto')");
}
//$action->alert($idcontacto);

$lbCampo_Valido = true;
$realizado		= false;
$alertar		= false;

$m=0;

		if($operacion== "ALTA"){
			$buscar=busquedaB("select * from contactos where idalias = '$idalias' and contacto ='$contacto'",'id');
			if($buscar==''){
				mysqli_query("insert into contactos (`idalias`, `contacto`, `telefono_contacto`, 	
				`email_contacto`, `mailing_itinerarios`, `mailing_tarifarios`, `area`,puesto,
				`visible_en_comercial`,`visible_en_impo`,`visible_en_expo`,usuarioCreo,
				fechaRegistro)
				values ('$idalias','$contacto','$telefono_contacto','$email_contacto','$mailing_itinerarios',
						'$mailing_tarifarios','".$_SESSION[area]."','$puesto','$visible_en_comercial',
						'$visible_en_impo','$visible_en_expo','$usuarioAlta','$fechaAlta') ");
			}else{
				$m=1;
				$action->alert("Contacto ya registrado con anterioridad");
			}
		}elseif($operacion== "BAJA"){
				mysqli_query("delete from contactos where id= '$idcontacto'");
		}elseif($operacion== "CAMBIO"){
			$buscar=busquedaB("select * from contactos where idalias = '$idalias' and contacto ='$contacto' and id<>'$idcontacto'",'id');
			if($buscar==''){
				
				mysqli_query("update contactos set  `contacto`='".strtoupper($contacto)."', 
				`telefono_contacto`='$telefono_contacto',
				`email_contacto` = '$email_contacto', `mailing_itinerarios`='$mailing_itinerarios', 
				`mailing_tarifarios`='$mailing_tarifarios',`puesto`='$puesto',
				`visible_en_comercial`='$visible_en_comercial',`visible_en_impo`='$visible_en_impo',
				`visible_en_expo`='$visible_en_expo',usuarioEdito='$usuarioEdito',
				fechaUpdate='$fechaEdito'
				WHERE id='$idcontacto'");
			}else{
				$m=1;
				$action->alert("Contacto ya registrado con anterioridad");
			}
		}

		if($m==0){
				$action->alert( "Operación de $operacion OK" .mysqli_error());
		
				$action->add_js_code("Cancelar_contacto(document.forma_contacto)");
				
				$action->add_js_code("genericAjax('divBuscar','../alias/buscar_alias_ei2.php?idcliente='+$('#idcliente').val())");
		}
		
$action->send_response();

return;

?>